# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "nvme-telem"
version = "0.1.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "NVMe SMART / telemetry collection for Linux"
readme = "README.md"
keywords = [
    "nvme",
    "storage",
    "telemetry",
    "smart",
    "monitoring",
]
license = "MIT"
repository = "https://gitlab.com/avakianssion/nvme-telem"

[lib]
name = "nvme_telem"
path = "src/lib.rs"

[[example]]
name = "sanity_check"
path = "examples/sanity_check.rs"

[dependencies.nvme-cli-sys]
version = "0.1.5"

[dependencies.serde]
version = "1.0"
features = ["derive"]
